Summary: Simple GTK2 frontend for lsof
Name: glsof
Version: 0.9.17
Release: alt1
URL: http://glsof.sourceforge.net
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: Monitoring
# Automatically added by buildreq on Mon Jan 03 2005
BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs esound fontconfig freetype2 glib2-devel gnome-vfs2-devel hostinfo libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libglade2-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libpango-devel libpopt-devel libxml2-devel perl-XML-Parser pkgconfig

Requires: libgtk+2 lsof libxml2 

%description
GTK-Lsof is a simple FrontEnd for LSOF.
You can Save output, Refresh (or Automatic Refresh) output,
select fields of out put and apply LSOF commands.

%prep
%setup -q

%build
%configure
%make

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
export GCONF_SCHEMA_FILE_DIR="%{buildroot}%{_sysconfdir}/gconf/schemas"
%makeinstall
%find_lang %{name}

# Menu                                                                          
%__mkdir -p %buildroot%_menudir                                           
%__cat << EOF > %buildroot%_menudir/%name
?package(%name):\ 
needs="x11"\
section="Applications/Monitoring"\ 
title="glsof"\
longtitle="GTK-Lsof is a simple FrontEnd for LSOF"\
command="%name"\ 
EOF


%post
%update_menus
export GCONF_CONFIG_SOURCE="$(gconftool-2 --get-default-source)"
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas &>/dev/null || :

%preun
export GCONF_CONFIG_SOURCE="$(gconftool-2 --get-default-source)"
gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas &>/dev/null || :

%postun
%clean_menus

%files -f %{name}.lang
%_bindir/*
%_datadir/%{name}/*
%_datadir/pixmaps/*
%_datadir/applications/*
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%_menudir/%name
%doc README ChangeLog AUTHORS NEWS

%changelog
* Mon Jan 03 2005 Eugene V. Horohorin <genix@altlinux.ru> 0.9.17-alt1
- new version
- spec clean-up: using %find_lang (bug #5681), using glsof.schemas, %update_menus added

* Fri Jul 09 2004 Eugene V. Horohorin <genix@altlinux.ru> 0.9.16-alt1
- new version (0.9.16)

* Wed Apr 07 2004 Eugene V. Horohorin <genix@altlinux.ru> 0.9.15-alt1
- Implementation build

